Bug 238892 - irc/irssi: Update to 1.2.1
Summary: irc/irssi: Update to 1.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://irssi.org/2019/06/29/irssi-1....
Keywords: security
Depends on:
Blocks: 238591
  Show dependency treegraph
 
Reported: 2019-06-30 09:18 UTC by Santhosh Raju
Modified: 2019-07-02 15:15 UTC (History)
3 users (show)

See Also:
dor.bsd: maintainer-feedback+
kai: merge-quarterly+


Attachments
Patch to upgrade the ports script to support irssi-1.2.1 builds. (807 bytes, patch)
2019-06-30 09:18 UTC, Santhosh Raju
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Santhosh Raju 2019-06-30 09:18:45 UTC
Created attachment 205433 [details]
Patch to upgrade the ports script to support irssi-1.2.1 builds.

Looks like irssi got some security updates and there is a new release 1.2.1.

Release announcement: https://irssi.org/2019/06/29/irssi-1.2.1-1.1.3-1.0.8-released/

Changelog: https://irssi.org/NEWS/#v1-2-1
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-30 09:51:28 UTC
maintainer-feedback (+) not required unless requested (?) first.

Note: flag setter did/does not match registered MAINTAINER email

Pending VuXML entry, commit & merge
Comment 2 David O'Rourke 2019-06-30 20:27:01 UTC
Looks good to me. This should also resolve https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238591
Comment 3 commit-hook freebsd_committer 2019-07-01 20:12:55 UTC
A commit references this bug:

Author: kai
Date: Mon Jul  1 20:11:52 UTC 2019
New revision: 505636
URL: https://svnweb.freebsd.org/changeset/ports/505636

Log:
  security/vuxml: Document irc/irssi issue

  PR:		238892
  Security:	CVE-2019-13045

Changes:
  head/security/vuxml/vuln.xml
Comment 4 commit-hook freebsd_committer 2019-07-01 20:29:10 UTC
A commit references this bug:

Author: kai
Date: Mon Jul  1 20:29:01 UTC 2019
New revision: 505638
URL: https://svnweb.freebsd.org/changeset/ports/505638

Log:
  irc/irrsi: Update to 1.2.1

  * Fixes security vulnerability when using SASL for login that might suddenly
    fail in some cases (CVE-2019-13045). [1]
  * It also fixes issues with input line echoing of UTF-8 chars with non UTF-8
    terminals. [2]

  Changelog:

  https://irssi.org/NEWS/#v1-2-1

  PR:		238892 [1], 238591 [2]
  Submitted by:	Santhosh Raju [1], Victor Sudakov [2]
  Approved by:	David O'Rourke (maintainer)
  MFH:		2019Q2
  Security:	475f952c-9b29-11e9-a8a5-6805ca0b38e8

Changes:
  head/irc/irssi/Makefile
  head/irc/irssi/distinfo
Comment 5 commit-hook freebsd_committer 2019-07-02 05:42:10 UTC
A commit references this bug:

Author: kai
Date: Tue Jul  2 05:41:11 UTC 2019
New revision: 505659
URL: https://svnweb.freebsd.org/changeset/ports/505659

Log:
  MFH: r505638

  irc/irrsi: Update to 1.2.1

  * Fixes security vulnerability when using SASL for login that might suddenly
    fail in some cases (CVE-2019-13045). [1]
  * It also fixes issues with input line echoing of UTF-8 chars with non UTF-8
    terminals. [2]

  Changelog:

  https://irssi.org/NEWS/#v1-2-1

  PR:		238892 [1], 238591 [2]
  Submitted by:	Santhosh Raju [1], Victor Sudakov [2]
  Approved by:	David O'Rourke (maintainer)
  Security:	475f952c-9b29-11e9-a8a5-6805ca0b38e8

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/irc/irssi/Makefile
  branches/2019Q2/irc/irssi/distinfo
Comment 6 Kai Knoblich freebsd_committer 2019-07-02 15:15:32 UTC
Committed, thank you all for the patch and the quick approval!